| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__AccountMgtInfo Struct Reference

Subscriber Account Management Information. More...

`#include <osv-if-doc.h>`

## Public Attributes
char * | AccountId
| Used only for auditing and aiding the telco in identifying the subscriber. More...
unsp__ServiceId | BillingId
| A DN to which charges are assigned in the generated CDRs. More...
char * | RetailerId
| Used as an auditing field for the telco to help the customer identify the owner of the subscriber. More...
char * | ClassOfService
| Outgoing calls are routed using the Class of Service. More...
char * | RateArea
| The subscriber can belong to a specific Rate Area. More...
xsd__boolean * | ExternalDNFlag
| Indicates that the subscriber DN is a Direct Inward Dialing (DID) number. More...
int * | CountryCodeLen
| To support international dialing and multiple countries being served by the same OpenScape Voice system, the country code will be part of the subscriber DN. More...
char * | CallingLoc
| Indicates the subscriber's location. More...
struct unsp__FeatureProfileId * | FeatureProfileId
| Feature Profile ID required: false. More...
unsp__NumberPlanName | NumberPlanName
| The name of the Private Numbering Plan to associate with the subscriber. More...
unsp__ServiceId | ExternalCallerID
| External Caller ID. More...
struct unsp__UseMainPilotDN * | UseMainPilotDN
| Use Main Pilot DN (when member of a ML Hunt Group). More...
enum unsp__ImpactLevel * | ImpactLevel
| Impact Level. More...
xsd__boolean * | DistinctiveRinging
| Indicates a the type of incoming call by having my telephone device provide a minimum of 5 distinctive programmable ringing patterns that I can assign by trunk or trunk group. More...

## Detailed Description

Subscriber Account Management Information.

## Member Data Documentation

## ◆ AccountId

char* unsp__AccountMgtInfo::AccountId

Used only for auditing and aiding the telco in identifying the subscriber.

required: false
default value[range]: NA [1..20]

## ◆ BillingId

unsp__ServiceId unsp__AccountMgtInfo::BillingId

A DN to which charges are assigned in the generated CDRs.

If not present, the subscriber's DN is used.
required: false
default value[range]: NA [1..15]

## ◆ CallingLoc

char* unsp__AccountMgtInfo::CallingLoc

Indicates the subscriber's location.

Used for routing emergency calls to the answering point that serves the Calling Location.
required: false
default value[range]: NA [1..15]

## ◆ ClassOfService

char* unsp__AccountMgtInfo::ClassOfService

Outgoing calls are routed using the Class of Service.

During routing, if a subscriber belongs to a class of service, those routes are given preference; otherwise, the system's default class of service (unassigned) is used. If the subscriber has no Class of Service assigned, the subscriber can access default routes only. Subscribers with COS specified will access COS routes first (if defined for the call that they make), if none are available, the default COS routes will be used.
required: false

See also
  unsp__COSName

## ◆ CountryCodeLen

int* unsp__AccountMgtInfo::CountryCodeLen

To support international dialing and multiple countries being served by the same OpenScape Voice system, the country code will be part of the subscriber DN.

The country code is required to be created as part of the office code in the Home Dn. The subscriber country code length must match the office code country code length. The Country Code Length is automatically retrieved from the HomeDn and assigned to the subscriber during subscriber creation.
Read Only

## ◆ DistinctiveRinging

xsd__boolean* unsp__AccountMgtInfo::DistinctiveRinging

Indicates a the type of incoming call by having my telephone device provide a minimum of 5 distinctive programmable ringing patterns that I can assign by trunk or trunk group.

required: false
default value[range]: false

## ◆ ExternalCallerID

unsp__ServiceId unsp__AccountMgtInfo::ExternalCallerID

External Caller ID.

required: false
default value[range]: NA [1..15]

## ◆ ExternalDNFlag

xsd__boolean* unsp__AccountMgtInfo::ExternalDNFlag

Indicates that the subscriber DN is a Direct Inward Dialing (DID) number.

The subscriber can receive direct incoming calls. If the External DN Flag is set to False, the BGL has a private (non- external) number. This means the number cannot be dialed from outside of the BG and is not displayed as a calling party on calls directed outside the BG. Note that this flag is also used by the MLHG service when an MLHG member originates a call. If True, the terminal's own data is used as the calling party; otherwise, the Pilot DN's data is used.
required: false
default value[range]: true

## ◆ FeatureProfileId

struct unsp__FeatureProfileId* unsp__AccountMgtInfo::FeatureProfileId

Feature Profile ID
required: false.

## ◆ ImpactLevel

enum unsp__ImpactLevel* unsp__AccountMgtInfo::ImpactLevel

Impact Level.

This feature enables the administrator to configure the Impact Level of a subscriber. The subscriber is informed when an incoming call originates from a lower security zone or when an outgoing call terminates in a lower security zone. Lower security zone includes all calls with Impact Level less than the one configured for the specific subscriber. When a user participates in a multiparty call such as conference, he/she is informed if only any of the participants in the conference has a lower security zone. The notifications is a short message display on the OpenStage device along with an audible indication e.g a 'beep' or a special ringback tone.
required: false
default value[range]: NA ImpactLevelUnclassified

## ◆ NumberPlanName

unsp__NumberPlanName unsp__AccountMgtInfo::NumberPlanName

The name of the Private Numbering Plan to associate with the subscriber.

required: true

See also
  unsp__NumberPlanName

## ◆ RateArea

char* unsp__AccountMgtInfo::RateArea

The subscriber can belong to a specific Rate Area.

This Rate Area defines what constitutes a local call verses a long distance call, as well as the routing for outbound calls. Outgoing calls are routed using the Rate Area. During routing, if a subscriber belongs to a Rate Area, those routes are given preference; otherwise, the system's default rate area (unassigned) is used. If the subscriber has no Rate Area assigned, the subscriber can access default routes only.

required: false

See also
  unsp__RateAreaName

## ◆ RetailerId

char* unsp__AccountMgtInfo::RetailerId

Used as an auditing field for the telco to help the customer identify the owner of the subscriber.

required: false
default value[range]: NA [1..46]

## ◆ UseMainPilotDN

struct unsp__UseMainPilotDN* unsp__AccountMgtInfo::UseMainPilotDN

Use Main Pilot DN (when member of a ML Hunt Group).

required: false

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h